Bug 612796 - Review Request: python-ping - An implementation of the standard ICMP ping in pure Python.
Review Request: python-ping - An implementation of the standard ICMP ping in ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
StalledSubmitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 23:42 EDT by Andrew Schomin
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:47:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Schomin 2010-07-08 23:42:52 EDT
Spec URL: http://www.schomin.com/fedora/python-ping.spec
SRPM URL: http://www.schomin.com/fedora/python-ping-0.1-1.fc13.src.rpm
Description: This library is a fork of George Notaras' python-ping library, which is an implementation of the standard ICMP ping in pure Python.

As it uses raw ICMP sockets, you need to be root to use the functions exported by the ping module.

This fork by Pierre Bourdon adds a setup.py file in order to permit an easier distribution of the package. The license of the library remains unchanged (GPLv2), see COPYING.

This is my first first package and I will be needing a sponsor.
Comment 1 Athmane Madjoudj 2010-07-09 13:49:32 EDT
rpmlint shows the following:

$ rpmlint python-ping-0.1-1.fc13.src.rpm 
python-ping.src: I: enchant-dictionary-not-found en_US
python-ping.src: W: summary-ended-with-dot C An implementation of the standard ICMP ping in pure Python.
python-ping.src: E: no-changelogname-tag
python-ping.src:3: W: macro-in-comment %global
python-ping.src:3: W: macro-in-comment %{__python}
python-ping.src:44: W: macro-in-comment %{python_sitearch}
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


$ rpmlint python-ping-0.1-1.fc13.src.rpm 
python-ping.src: I: enchant-dictionary-not-found en_US
python-ping.src: W: summary-ended-with-dot C An implementation of the standard ICMP ping in pure Python.
python-ping.src: E: no-changelogname-tag
python-ping.src:3: W: macro-in-comment %global
python-ping.src:3: W: macro-in-comment %{__python}
python-ping.src:44: W: macro-in-comment %{python_sitearch}
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


Proposed fixes:

[-] Try to cleanup all comments containing macros.
[-] Remove dot in Summary.
[-] Add the first Changelogs entry line, some thing like: - Initial package
Comment 2 Athmane Madjoudj 2010-07-09 13:54:15 EDT
Sorry I forgot:

$ rpmlint python-ping-0.1-1.fc13.i686.rpm 
python-ping.i686: I: enchant-dictionary-not-found en_US
python-ping.i686: W: summary-ended-with-dot C An implementation of the standard ICMP ping in pure Python.
python-ping.i686: E: no-changelogname-tag
python-ping.i686: E: no-binary
python-ping.i686: W: no-documentation
python-ping.i686: E: non-executable-script /usr/lib/python2.6/site-packages/ping.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 3 errors, 2 warnings.
Comment 3 Athmane Madjoudj 2010-07-09 13:57:35 EDT
if this is pure python it should be platform/hardware independent ie:
BuildArch: noarch
Comment 4 Andrew Schomin 2010-07-09 14:56:14 EDT
[makerpm@andrew SRPMS]$ rpmlint python-ping-0.1-1.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Made changes heres the new output. Sorry I'm a new noob forgot to run rpmlint. Re-uploaded the packages to the URL above. They are the same files.
Comment 5 Athmane Madjoudj 2010-07-09 15:56:42 EDT
rpmlint on SPEC and SRPM is OK.

but 

$ rpmlint python-ping-0.1-1.fc13.noarch.rpm 
python-ping.noarch: I: enchant-dictionary-not-found en_US
python-ping.noarch: W: no-documentation
python-ping.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ping.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


You should either remove shebang or make executable: ping.py

Tip to remove shebang:
%{__sed} -i '1d' ping.py
Comment 6 Athmane Madjoudj 2010-07-09 16:03:03 EDT
i have looked at the source of ping.py it seems to be a pure module so removing shebang is more appropriate.

[...SNIP...]
if __name__ == '__main__':
    verbose_ping("heise.de")
    verbose_ping("google.com")
    verbose_ping("a-test-url-taht-is-not-available.com")
    verbose_ping("192.168.1.1")
Comment 7 Athmane Madjoudj 2010-07-09 16:11:13 EDT
you should add the following files to the %doc section:

AUTHORS
COPYING
README
Comment 8 Andrew Schomin 2010-07-09 16:20:42 EDT
Ok added %{__sed} -i '1d' ping.py    
and the stuff in %doc.

Only warning I'm getting is invalid URL on the source location but it was working a minute ago must be down right now.

Uploaded updated files.
Comment 9 Andrew Schomin 2010-07-09 16:21:36 EDT
never mind URL is working now
Comment 10 Athmane Madjoudj 2010-07-09 16:41:39 EDT
rpmlint is OK now.

$ rpmlint python-ping-0.1-1.fc13.noarch.rpm 
python-ping.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python-ping.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python-ping-0.1-1.fc13.src.rpm 
python-ping.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

PS.
Other fedora contributor should review this package, I'm a new package reviewer.
Comment 11 Andrew Schomin 2010-07-09 16:48:02 EDT
Alright thank you. Do I just need to wait until someone else looks at it then?
Comment 12 Fabian Affolter 2010-07-09 17:26:52 EDT
Just some more comment:

- The license is GPLv2+, see 'version 2 of the License, or (at your option) any later version.'
- This is a 'noarch' package the CFLAGS are not needed.

Everytime you make changes to your spec file, you must bump the release.
Comment 13 Andrew Schomin 2010-07-09 17:42:37 EDT
Thank you for the comments I made the changes you recommended and uploaded the files:

SPEC: http://www.schomin.com/fedora/python-ping.spec
SRPM: http://www.schomin.com/fedora/python-ping-0.1-4.fc13.src.rpm

I bumped the release to 4 as this is the 4th time I've made changes to the spec file and built the package now.

Let me know if anything else needs to be done.
Comment 14 Fabian Affolter 2010-07-10 10:47:00 EDT
There are still some issues:

- The %{python_sitelib} macros should be defined as mentioned in the guidelines
  https://fedoraproject.org/wiki/Packaging:Python#Macros
- The license is still wrong
- Every release bump must have a corresponding changelog entry.
  https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs
- Isn't the build command missing?
Comment 15 Andrew Schomin 2010-07-10 14:51:45 EDT
Ok I change the  %{python_sitelib} macro definition to have the if statement for Fedora 12 or bellow and RHEL 5 or bellow. I assume thats what you were refering to since I had already defined %{python_sitelib}.

I added GPLv2+ to the liscense.

Added changes to change log

I thought when you said CFLAGS wasn't needed to remove the line. The build command is back now.

Here are the new files.

SPEC: http://www.schomin.com/fedora/python-ping.spec
SRPM: http://www.schomin.com/fedora/python-ping-0.1-6.fc13.src.rpm
Comment 16 Athmane Madjoudj 2010-07-10 15:00:45 EDT
AFAIK you should keep history of changes in changelog section,
since this is -6 they should be 6 entries, correct me if I'm wrong.
Comment 17 Andrew Schomin 2010-07-10 15:03:34 EDT
So I should be keeping all previous changes in the log for 1, 2, 3, etc...?
Comment 18 Andrew Schomin 2010-07-10 15:34:25 EDT
Anyway I assume thats the case and have made the change there as well here are the updated for files.

Sorry for all of the changes guys this stuff is probably pretty trivial. Just trying to get the hang of things.

SPEC: http://www.schomin.com/fedora/python-ping.spec
SRPM: http://www.schomin.com/fedora/python-ping-0.1-7.fc13.src.rpm
Comment 19 Andrew Schomin 2010-07-11 20:19:12 EDT
Looks like the links above were down today, but they should be working again now.
Comment 20 Andrew Schomin 2010-07-13 13:35:44 EDT
Does the package look like its good to go? or does it still need work?

Also not positive of the procedure for getting a sponsor since it my first time, but http://fedoraproject.org/wiki/PackageMaintainers/Join doesn't really give specifics. I have a Fedora account already.
Comment 21 Andrew Schomin 2010-07-13 13:37:27 EDT
Never mind found http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 22 Pierre Bourdon 2010-07-16 16:17:51 EDT
Hi,

For starter, I'm the current python-ping upstream maintainer. I would like to point that Fabian is not exactly right about the license : while setup.py is GPLv2+, ping.py is GPLv2 only, so this package should be advertised as using a GPLv2 license instead of GPLv2+.

When I'll release 0.2 (probably not soon as the code is quite mature and is around since 1997), I'll probably change the license of setup.py from v2+ to v2 to avoid any confusion like this.

Anyway, thanks for considering python-ping for inclusion in Fedora :) .

Regards,
Pierre.
Comment 23 Andrew Schomin 2010-07-16 17:14:28 EDT
Sorry about the licensing mix up. I'll get the spec changed back to GPLv2.
Comment 24 Andrew Schomin 2010-07-16 17:24:40 EDT
Updated spec and srpm:

SPEC: http://www.schomin.com/fedora/python-ping.spec
SRPM: http://www.schomin.com/fedora/python-ping-0.1-8.fc13.src.rpm
Comment 25 Fabian Affolter 2010-10-26 07:37:49 EDT
The URLs for the spec file and the Source RPM are not right or the files are gone.
Comment 26 Andrew Schomin 2010-10-29 13:30:28 EDT
The server was moved I'm uploading the files now. Links will be up soon.
Comment 27 Andrew Schomin 2010-10-29 13:38:15 EDT
spec and srpm from 2010-07-16 back up.

SPEC: http://www.schomin.com/fedora/python-ping.spec
SRPM: http://www.schomin.com/fedora/python-ping-0.1-8.fc13.src.rpm
Comment 28 Fabian Affolter 2010-11-17 06:44:52 EST
Thanks for the links.  I can do an informal review but according to the guidelines a sponsor has to do the official review.
Comment 29 Fabian Affolter 2010-12-27 05:32:13 EST
python-ping 0.2 was released in the meantime.
Comment 30 Fabian Affolter 2011-01-04 08:31:34 EST
Can you please update your package?
Comment 31 Andrew Schomin 2011-01-04 10:26:40 EST
I've been kind of busy lately. Give me a day and I'll get the package updated.
Comment 32 Fabian Affolter 2011-01-05 04:06:19 EST
Thanks
Comment 33 Jason Tibbitts 2011-02-08 15:21:45 EST
Not sure why this was returned to the review queue instead of just being closed, but I've marked it stalled.
Comment 34 Bug Zapper 2011-06-01 10:22:04 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 35 Bug Zapper 2011-06-29 09:47:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.